Skip to content
FLORA DocsGo to app

List available models

GET/models

Returns the public model catalog visible to API clients. Use the optional type filter to narrow results to image, video, audio, or text models.

Query ParametersExpand Collapse
type: optional "image" or "video" or "audio" or "text"

Model type

One of the following:
"image"
"video"
"audio"
"text"
ReturnsExpand Collapse
models: array of object { capabilities, estimated_credits, estimated_seconds, 6 more }
capabilities: array of string

Model capabilities

estimated_credits: number

Estimated credits

minimum0
estimated_seconds: number

Estimated seconds

minimum0
model_id: string

Model identifier

minLength1
name: string

Model name

params: array of object { name, required, type, 7 more }

Supported generation parameters for this model

name: string

Parameter name to pass in generation params

required: boolean

Whether the model requires this parameter

type: "string" or "string[]" or "bool" or 5 more

Parameter value type

One of the following:
"string"
"string[]"
"bool"
"int"
"int?"
"seed"
"float"
"dict"
default: optional unknown

Default parameter value

description: optional string

Parameter help text

label: optional string

Human-readable parameter label

max: optional number

Maximum numeric value

min: optional number

Minimum numeric value

options: optional array of object { label, value, description }

Allowed values for enum-like parameters

label: string

Displayed option label

value: string

Option value to pass in generation params

description: optional string

Option description

properties: optional map[object { default, max, min } ]

Nested numeric properties for object parameters

default: number
max: number
min: number
provider: string

Model provider

type: "image" or "video" or "audio" or "text"

Model type

One of the following:
"image"
"video"
"audio"
"text"
beta: optional boolean

Whether this model is in beta

List available models

curl https://app.flora.ai/api/v1/models \
    -H "Authorization: Bearer $FLORA_API_KEY"
{
  "models": [
    {
      "capabilities": [
        "string"
      ],
      "estimated_credits": 0,
      "estimated_seconds": 0,
      "model_id": "t2i-flux-2-pro",
      "name": "name",
      "params": [
        {
          "name": "name",
          "required": true,
          "type": "string",
          "default": {},
          "description": "description",
          "label": "label",
          "max": 0,
          "min": 0,
          "options": [
            {
              "label": "label",
              "value": "value",
              "description": "description"
            }
          ],
          "properties": {
            "foo": {
              "default": 0,
              "max": 0,
              "min": 0
            }
          }
        }
      ],
      "provider": "Black Forest Labs",
      "type": "image",
      "beta": true
    }
  ]
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}
Returns Examples
{
  "models": [
    {
      "capabilities": [
        "string"
      ],
      "estimated_credits": 0,
      "estimated_seconds": 0,
      "model_id": "t2i-flux-2-pro",
      "name": "name",
      "params": [
        {
          "name": "name",
          "required": true,
          "type": "string",
          "default": {},
          "description": "description",
          "label": "label",
          "max": 0,
          "min": 0,
          "options": [
            {
              "label": "label",
              "value": "value",
              "description": "description"
            }
          ],
          "properties": {
            "foo": {
              "default": 0,
              "max": 0,
              "min": 0
            }
          }
        }
      ],
      "provider": "Black Forest Labs",
      "type": "image",
      "beta": true
    }
  ]
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}